{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, send_event, admin_user, center_window\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\n\r\nif Admin_user( @user4 ) then \r\n\topen 'CONFIG' to ConfigTable else\r\n\t   Void = msg( '', 'Unable to open CONFIG table' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tlock ConfigTable, 'NIGHTLY_PROCESS' else\r\n\t   Void = msg( '', 'NIGHTLY_PROCESS is in use somewhere else...' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tread NightlyProcess from ConfigTable, 'NIGHTLY_PROCESS' then\r\n\t    if NightlyProcess then\r\n\t       *convert @fm to @vm in TableNamesData\r\n\t       .night_process_data->array = NightlyProcess\r\n\t    end\r\n\tend\r\nend else\r\n   Message = 'You do not have the proper security to view/change the nightly process configuration...' \r\n   Message<micon$> = 'H'\r\n   Void = msg( '', Message )\r\n   end_dialog( @window, '' )\r\nend\r\n\r\nRETURN 0"
        }
    }
}